package com.common.im.bean;

/**
 * 创建日期：2022/6/10 11:38
 *
 * @author Ryan
 * 类说明：
 */
public class ContactRoomListBean {
    /*
    	"autoPassFlag": true,
			"createBy": 0,
			"createTime": "",
			"existFlag": true,
			"hasWaitAuditFlag": true,
			"id": "",
			"img": "",
			"introduce": "",
			"memberNum": 0,
			"memo": "",
			"name": "",
			"type": "",
			"updateTime": ""
     */
    private boolean autoPassFlag;
    private long createBy;
    private String createTime;
    private boolean existFlag;
    private boolean hasWaitAuditFlag;
    private String id;
    private String img;
    private String introduce;
    private int memberNum;
    private String memo;
    private String name;
    private String type;
    private String updateTime;

    public boolean isAutoPassFlag() {
        return autoPassFlag;
    }

    public void setAutoPassFlag(boolean autoPassFlag) {
        this.autoPassFlag = autoPassFlag;
    }

    public long getCreateBy() {
        return createBy;
    }

    public void setCreateBy(long createBy) {
        this.createBy = createBy;
    }

    public String getCreateTime() {
        return createTime;
    }

    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    public boolean isExistFlag() {
        return existFlag;
    }

    public void setExistFlag(boolean existFlag) {
        this.existFlag = existFlag;
    }

    public boolean isHasWaitAuditFlag() {
        return hasWaitAuditFlag;
    }

    public void setHasWaitAuditFlag(boolean hasWaitAuditFlag) {
        this.hasWaitAuditFlag = hasWaitAuditFlag;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getImg() {
        return img;
    }

    public void setImg(String img) {
        this.img = img;
    }

    public String getIntroduce() {
        return introduce;
    }

    public void setIntroduce(String introduce) {
        this.introduce = introduce;
    }

    public int getMemberNum() {
        return memberNum;
    }

    public void setMemberNum(int memberNum) {
        this.memberNum = memberNum;
    }

    public String getMemo() {
        return memo;
    }

    public void setMemo(String memo) {
        this.memo = memo;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(String updateTime) {
        this.updateTime = updateTime;
    }
}
